Subject: Re: [RFC NO-MERGE 1/2] arch/powerpc/prom_init: Parse the command line before calling CAS

From: Paul Mackerras <[email-masked]>
Date: Thu, 23 Feb 2017 15:19:52 +1100

On Tue, Feb 21, 2017 at 05:06:10PM +1100, Suraj Jitindar Singh wrote:
> CAS now requires the guest to tell the host whether it would like to use

Readers might not know what CAS is.  It would be kind to reword this
as "On POWER9, the hypervisor requires the guest ... hash or radix MMU
at the time of calling ibm,client-architecture-support (CAS)".

> a hash or radix mmu. It is possible to disable radix by passing
> "disable_radix" on the command line. The next patch will add support for
> the new CAS format, thus we need to parse the command line before calling
> CAS so we can correctly represent which mmu we would like to use.
> 
> Signed-off-by: Suraj Jitindar Singh <[email-masked]>

Reviewed-by: Paul Mackerras <[email-masked]>